/***********************************************************************

 systemFcns.c - GPIO functions

  author    John Madsen
  revision  1.0
  date      2022-05-19


  history   1.0 initial release

***********************************************************************/


#include "systemFcns.h"
//#include "io_expander.h"
#include "storageFcns.h"
//#include "ymodem.h"

#include <stdio.h>
#include <sys/time.h>

#include "sdkconfig.h"
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "esp_system.h"
#include "esp_spi_flash.h"
#include "esp_log.h"
#include "esp_sleep.h"
#include "esp_console.h"
#include "driver/gpio.h"
#include "esp_adc_cal.h"
#include "driver/usb_serial_jtag.h"







/*******************************************************************

		Public Functions

 *******************************************************************/

void systemInit(void)
{
	systemWake();
}







void systemWake(void)
{
	int ret;

	//    usb_serial_jtag_driver_config_t usb_serial_jtag_config = USB_SERIAL_JTAG_DRIVER_CONFIG_DEFAULT(); // sets both buffers = 256
		usb_serial_jtag_driver_config_t usb_serial_jtag_config;
		usb_serial_jtag_config.rx_buffer_size = 5000;//2160;
		usb_serial_jtag_config.tx_buffer_size = 5000;//2160;

	    /* Install USB-SERIAL-JTAG driver for interrupt-driven reads and writes */
	    ret = usb_serial_jtag_driver_install(&usb_serial_jtag_config);
	    if (ret == ESP_OK)
	    {
	    	storageSendFile("text.txt");
	    }

}






/*******************************************************************

		Access Functions

 *******************************************************************/




/*******************************************************************

		Private Functions

 *******************************************************************/




